Bug 244002 - Install from HD cannot upgrade if the ISO is on the same partition you're upgrading
Install from HD cannot upgrade if the ISO is on the same partition you're upg...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2007-06-13 06:08 EDT by Nadav Har'El
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-19 15:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nadav Har'El 2007-06-13 06:08:11 EDT
I wanted to upgrade my Fedora Core 6 to Fedora 7. I was shocked to find out that
Fedora no longer has CD ISOs, and since I do not have a DVD writer, I had no
choice but to put the DVD ISO on my hard disk, boot from a rescue disk, and
choose tell it to upgrade using an ISO on my disk.

I had no problems to boot the CD, choose installation from HD, and tell it where
the ISO resides. The installer recognized that this was a valid ISO, and continued.

But then, a "Looking for existing installations" message popped up, and a few
seconds later, an installation screen came up asking me to reformat my
partitions. I was NOT asked whether I want a new installation or an upgrade, so
evidently the existing installation wasn't recognized.

After a lot of retries (which all failed in the same way) and a lot of
soul-searching, I figured out the probably cause for the bug: The ISO I was
installing from was on the same partition I was hoping to upgrade - my only
partition. It is possible that the installer first mounted the partition to read
the ISO, and then wanted to mount it again for looking for an installed system,
and the second mount didn't work. So I put a second disk in my system, put the
ISO there, and sure enough: now the "looking for existing installations"
succeeded, and I was asked whether I want to upgrade, or do a fresh install.

I think it is extremely important that you fix this bug. A significant number of
PCs still don't have a DVD writer, and have just one disk, and since the
"install from hard disk" is the method you suggest in your documentation, all of
these people are likely to run into this same bug!

I also urge you to reconsider your decision not to provide CD ISOs, even if only
by bittorrent. Of course, this is irrelevant to the current bug report.
Comment 1 Andrea Bruna 2007-06-18 07:51:39 EDT
I can confirm the problem: I had to move the iso to a fat partition of my old 
laptop in order to upgrade to F7. 
Comment 2 Henrik Johansson 2007-07-18 14:29:23 EDT
I had the same problem.
Comment 3 Chris Lumens 2007-07-19 15:44:22 EDT
This should be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.